Package ru.bitel.bgbilling.kernel.contract.api.common.bean.customer

# Enum Customer.CustomerFiz

java.lang.Object
java.lang.Enum<Customer.CustomerFiz>
ru.bitel.bgbilling.kernel.contract.api.common.bean.customer.Customer.CustomerFiz

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Customer.CustomerFiz>`, `java.lang.constant.Constable`

Enclosing class:
  Customer

    public static enum Customer.CustomerFiz
    extends java.lang.Enum<Customer.CustomerFiz>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BIRTHDAY` |
  `FIRST_NAME` |
  `GENDER` |
  `INN` |
  `LAST_NAME` |
  `MIDDLE_NAME` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `description()` |
  `java.lang.String` | `key()` |
  `static Customer.CustomerFiz` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Customer.CustomerFiz[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIRST_NAME

    public static final Customer.CustomerFiz FIRST_NAME

  - ### LAST_NAME

    public static final Customer.CustomerFiz LAST_NAME

  - ### MIDDLE_NAME

    public static final Customer.CustomerFiz MIDDLE_NAME

  - ### INN

    public static final Customer.CustomerFiz INN

  - ### GENDER

    public static final Customer.CustomerFiz GENDER

  - ### BIRTHDAY

    public static final Customer.CustomerFiz BIRTHDAY

- ## Method Details

  - ### values

    public static Customer.CustomerFiz[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Customer.CustomerFiz valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### key

    public java.lang.String key()

  - ### description

    public java.lang.String description()